<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KateExternalTool</name>
    <filename>classKateExternalTool.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalTool</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;command=QString::null, const QString &amp;icon=QString::null, const QString &amp;tryexec=QString::null, const QStringList &amp;mimetypes=QStringList(), const QString &amp;acname=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchor>a2</anchor>
      <arglist>(QString mimetype) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkExec</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>command</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>icon</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>tryexec</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>mimetypes</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>hasexec</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>acname</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolAction</name>
    <filename>classKateExternalToolAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolAction</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name, class KateExternalTool *t)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>expandMacro</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;str, QStringList &amp;ret)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsConfigWidget</name>
    <filename>classKateExternalToolsConfigWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsConfigWidget</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>apply</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reload</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolServiceEditor</name>
    <filename>classKateExternalToolServiceEditor.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolServiceEditor</name>
      <anchor>a0</anchor>
      <arglist>(KateExternalTool *tool=0, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leName</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leCommand</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leExecutable</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leMimetypes</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIconButton *</type>
      <name>btnIcon</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsMenuAction</name>
    <filename>classKateExternalToolsMenuAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsMenuAction</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;text=QString::null, QObject *parent=0, const char *name=0, class KateMainWindow *mw=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMailDialog</name>
    <filename>classKateMailDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateMailDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, KateMainWindow *mainwin=0)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::Document &gt;</type>
      <name>selectedDocs</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSplitter</name>
    <filename>classKateSplitter.html</filename>
    <member kind="function">
      <type></type>
      <name>KateSplitter</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateSplitter</name>
      <anchor>a1</anchor>
      <arglist>(Orientation o, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLastChild</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *w)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Kate</name>
    <filename>namespaceKate.html</filename>
    <class kind="class">Kate::Application</class>
    <class kind="class">Kate::DocumentManager</class>
    <class kind="class">Kate::PluginManager</class>
    <class kind="class">Kate::Project</class>
    <class kind="class">Kate::ProjectManager</class>
    <class kind="class">Kate::ToolViewManager</class>
    <class kind="class">Kate::ViewManager</class>
    <member kind="function">
      <type>Application *</type>
      <name>application</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DocumentManager *</type>
      <name>documentManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>createPlugin</name>
      <anchor>a2</anchor>
      <arglist>(const char *libname, Application *application, const char *name, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>ProjectPlugin *</type>
      <name>createProjectPlugin</name>
      <anchor>a3</anchor>
      <arglist>(const char *libname, Project *project, const char *name, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>PluginViewInterface *</type>
      <name>pluginViewInterface</name>
      <anchor>a4</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterface *</type>
      <name>pluginConfigInterface</name>
      <anchor>a5</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterfaceExtension *</type>
      <name>pluginConfigInterfaceExtension</name>
      <anchor>a6</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>ProjectManager *</type>
      <name>projectManager</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Application</name>
    <filename>classKate_1_1Application.html</filename>
    <member kind="slot">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>Kate::ProjectManager *</type>
      <name>projectManager</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>Kate::PluginManager *</type>
      <name>pluginManager</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>Kate::InitPluginManager *</type>
      <name>initPluginManager</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>Kate::MainWindow *</type>
      <name>activeMainWindow</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>uint</type>
      <name>mainWindows</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>Kate::MainWindow *</type>
      <name>mainWindow</name>
      <anchor>i6</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>onEventLoopEnter</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Application</name>
      <anchor>a0</anchor>
      <arglist>(void *application)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Application</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DocumentManager</name>
    <filename>classKate_1_1DocumentManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>documentChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentCreated</name>
      <anchor>l1</anchor>
      <arglist>(Kate::Document *document)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentDeleted</name>
      <anchor>l2</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentManager</name>
      <anchor>a0</anchor>
      <arglist>(void *documentManager)</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>document</name>
      <anchor>a2</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>activeDocument</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>documentWithID</name>
      <anchor>a4</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documents</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>openURL</name>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;encoding=QString::null, uint *id=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchor>a9</anchor>
      <arglist>(class Document *document)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchor>a10</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchor>a11</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginManager</name>
    <filename>classKate_1_1PluginManager.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginManager</name>
      <anchor>a0</anchor>
      <arglist>(void *pluginManager)</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pluginAvailable</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>loadPlugin</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadPlugin</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Project</name>
    <filename>classKate_1_1Project.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dirsAdded</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;dirs)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dirsRemoved</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;dirs)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filesAdded</name>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;files)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filesRemoved</name>
      <anchor>l3</anchor>
      <arglist>(const QString &amp;dir, const QStringList &amp;files)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Project</name>
      <anchor>a0</anchor>
      <arglist>(void *project)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Project</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>projectNumber</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DCOPObject *</type>
      <name>dcopObject</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ProjectPlugin *</type>
      <name>plugin</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>data</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>dirData</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>fileData</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;file=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dir</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>dirs</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>files</name>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;dir=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDirs</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeDirs</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;dirs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFiles</name>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFiles</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;dir, QStringList &amp;files)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ProjectManager</name>
    <filename>classKate_1_1ProjectManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>projectChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectCreated</name>
      <anchor>l1</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>projectDeleted</name>
      <anchor>l2</anchor>
      <arglist>(uint projectNumber)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProjectManager</name>
      <anchor>a0</anchor>
      <arglist>(void *projectManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ProjectManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Project *</type>
      <name>create</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>Project *</type>
      <name>open</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchor>a4</anchor>
      <arglist>(Kate::Project *project)</arglist>
    </member>
    <member kind="function">
      <type>Project *</type>
      <name>project</name>
      <anchor>a5</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>projects</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ToolViewManager</name>
    <filename>classKate_1_1ToolViewManager.html</filename>
    <member kind="function">
      <type></type>
      <name>ToolViewManager</name>
      <anchor>a0</anchor>
      <arglist>(void *toolViewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ToolViewManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMdiToolViewAccessor *</type>
      <name>addToolView</name>
      <anchor>a2</anchor>
      <arglist>(KDockWidget::DockPosition position, QWidget *widget, const QPixmap &amp;icon, const QString &amp;sname, const QString &amp;tabToolTip=0, const QString &amp;tabCaption=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeToolView</name>
      <anchor>a4</anchor>
      <arglist>(KMdiToolViewAccessor *accessor)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchor>a5</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchor>a6</anchor>
      <arglist>(KMdiToolViewAccessor *accessor)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchor>a7</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchor>a8</anchor>
      <arglist>(KMdiToolViewAccessor *accessor)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ViewManager</name>
    <filename>classKate_1_1ViewManager.html</filename>
    <member kind="slot">
      <type>View *</type>
      <name>activeView</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchor>i1</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openURL</name>
      <anchor>i2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchor>a0</anchor>
      <arglist>(void *viewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
